//
//  AppDelegate.swift
//  PointrWidgetSample
//
//  Created by Pointr on 05/11/2021.
//

import UIKit
import PointrKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        
        // If you enabled background location or geofence tracking and the app is not running,
        // the system might launch the app in the background to deliver a location update or geofence event.
        // In that case you should check for launch options and if it contains the location key, then
        // you should start Pointr immediatelly so that the systemn delivers the update/event and you don't miss it.
        
        if launchOptions?[.location] != nil {
            PointrHelper.startPointr()
        }
        
        return true
    }
}

